/*******************************************************************************
* File Name: Pin2_6.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Pin2_6_H) /* Pins Pin2_6_H */
#define CY_PINS_Pin2_6_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin2_6_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin2_6_Write(uint8 value) ;
void    Pin2_6_SetDriveMode(uint8 mode) ;
uint8   Pin2_6_ReadDataReg(void) ;
uint8   Pin2_6_Read(void) ;
uint8   Pin2_6_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin2_6_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin2_6_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin2_6_DM_RES_UP          PIN_DM_RES_UP
#define Pin2_6_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin2_6_DM_OD_LO           PIN_DM_OD_LO
#define Pin2_6_DM_OD_HI           PIN_DM_OD_HI
#define Pin2_6_DM_STRONG          PIN_DM_STRONG
#define Pin2_6_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin2_6_MASK               Pin2_6__MASK
#define Pin2_6_SHIFT              Pin2_6__SHIFT
#define Pin2_6_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin2_6_PS                     (* (reg8 *) Pin2_6__PS)
/* Data Register */
#define Pin2_6_DR                     (* (reg8 *) Pin2_6__DR)
/* Port Number */
#define Pin2_6_PRT_NUM                (* (reg8 *) Pin2_6__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin2_6_AG                     (* (reg8 *) Pin2_6__AG)                       
/* Analog MUX bux enable */
#define Pin2_6_AMUX                   (* (reg8 *) Pin2_6__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin2_6_BIE                    (* (reg8 *) Pin2_6__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin2_6_BIT_MASK               (* (reg8 *) Pin2_6__BIT_MASK)
/* Bypass Enable */
#define Pin2_6_BYP                    (* (reg8 *) Pin2_6__BYP)
/* Port wide control signals */                                                   
#define Pin2_6_CTL                    (* (reg8 *) Pin2_6__CTL)
/* Drive Modes */
#define Pin2_6_DM0                    (* (reg8 *) Pin2_6__DM0) 
#define Pin2_6_DM1                    (* (reg8 *) Pin2_6__DM1)
#define Pin2_6_DM2                    (* (reg8 *) Pin2_6__DM2) 
/* Input Buffer Disable Override */
#define Pin2_6_INP_DIS                (* (reg8 *) Pin2_6__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin2_6_LCD_COM_SEG            (* (reg8 *) Pin2_6__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin2_6_LCD_EN                 (* (reg8 *) Pin2_6__LCD_EN)
/* Slew Rate Control */
#define Pin2_6_SLW                    (* (reg8 *) Pin2_6__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin2_6_PRTDSI__CAPS_SEL       (* (reg8 *) Pin2_6__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin2_6_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin2_6__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin2_6_PRTDSI__OE_SEL0        (* (reg8 *) Pin2_6__PRTDSI__OE_SEL0) 
#define Pin2_6_PRTDSI__OE_SEL1        (* (reg8 *) Pin2_6__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin2_6_PRTDSI__OUT_SEL0       (* (reg8 *) Pin2_6__PRTDSI__OUT_SEL0) 
#define Pin2_6_PRTDSI__OUT_SEL1       (* (reg8 *) Pin2_6__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin2_6_PRTDSI__SYNC_OUT       (* (reg8 *) Pin2_6__PRTDSI__SYNC_OUT) 


#if defined(Pin2_6__INTSTAT)  /* Interrupt Registers */

    #define Pin2_6_INTSTAT                (* (reg8 *) Pin2_6__INTSTAT)
    #define Pin2_6_SNAP                   (* (reg8 *) Pin2_6__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Pin2_6_H */


/* [] END OF FILE */
