#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* WaveDAC8_1_VDAC8_viDAC8 */
#define WaveDAC8_1_VDAC8_viDAC8__CR0 CYREG_DAC0_CR0
#define WaveDAC8_1_VDAC8_viDAC8__CR1 CYREG_DAC0_CR1
#define WaveDAC8_1_VDAC8_viDAC8__D CYREG_DAC0_D
#define WaveDAC8_1_VDAC8_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define WaveDAC8_1_VDAC8_viDAC8__PM_ACT_MSK 0x01u
#define WaveDAC8_1_VDAC8_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define WaveDAC8_1_VDAC8_viDAC8__PM_STBY_MSK 0x01u
#define WaveDAC8_1_VDAC8_viDAC8__STROBE CYREG_DAC0_STROBE
#define WaveDAC8_1_VDAC8_viDAC8__SW0 CYREG_DAC0_SW0
#define WaveDAC8_1_VDAC8_viDAC8__SW2 CYREG_DAC0_SW2
#define WaveDAC8_1_VDAC8_viDAC8__SW3 CYREG_DAC0_SW3
#define WaveDAC8_1_VDAC8_viDAC8__SW4 CYREG_DAC0_SW4
#define WaveDAC8_1_VDAC8_viDAC8__TR CYREG_DAC0_TR
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC0_M1
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC0_M2
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC0_M3
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC0_M4
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC0_M5
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC0_M6
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC0_M7
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC0_M8
#define WaveDAC8_1_VDAC8_viDAC8__TRIM__TR CYREG_FLSHID_MFG_CFG_DAC0_TR
#define WaveDAC8_1_VDAC8_viDAC8__TST CYREG_DAC0_TST

/* WaveDAC8_1_Wave1_DMA */
#define WaveDAC8_1_Wave1_DMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL1
#define WaveDAC8_1_Wave1_DMA__DRQ_NUMBER 7
#define WaveDAC8_1_Wave1_DMA__NUMBEROF_TDS 0
#define WaveDAC8_1_Wave1_DMA__PRIORITY 2
#define WaveDAC8_1_Wave1_DMA__TERMIN_EN 0
#define WaveDAC8_1_Wave1_DMA__TERMIN_SEL 0
#define WaveDAC8_1_Wave1_DMA__TERMOUT0_EN 0
#define WaveDAC8_1_Wave1_DMA__TERMOUT0_SEL 0
#define WaveDAC8_1_Wave1_DMA__TERMOUT1_EN 0
#define WaveDAC8_1_Wave1_DMA__TERMOUT1_SEL 0

/* WaveDAC8_1_Wave2_DMA */
#define WaveDAC8_1_Wave2_DMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL1
#define WaveDAC8_1_Wave2_DMA__DRQ_NUMBER 4
#define WaveDAC8_1_Wave2_DMA__NUMBEROF_TDS 0
#define WaveDAC8_1_Wave2_DMA__PRIORITY 2
#define WaveDAC8_1_Wave2_DMA__TERMIN_EN 0
#define WaveDAC8_1_Wave2_DMA__TERMIN_SEL 0
#define WaveDAC8_1_Wave2_DMA__TERMOUT0_EN 0
#define WaveDAC8_1_Wave2_DMA__TERMOUT0_SEL 0
#define WaveDAC8_1_Wave2_DMA__TERMOUT1_EN 0
#define WaveDAC8_1_Wave2_DMA__TERMOUT1_SEL 0

/* USBUART_1_bus_reset */
#define USBUART_1_bus_reset__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_bus_reset__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_bus_reset__INTC_MASK 0x4000000u
#define USBUART_1_bus_reset__INTC_NUMBER 26
#define USBUART_1_bus_reset__INTC_PRIOR_NUM 7
#define USBUART_1_bus_reset__INTC_PRIOR_REG CYREG_NVIC_PRI_26
#define USBUART_1_bus_reset__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_bus_reset__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBUART_1_arb_int */
#define USBUART_1_arb_int__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_arb_int__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_arb_int__INTC_MASK 0x400000u
#define USBUART_1_arb_int__INTC_NUMBER 22
#define USBUART_1_arb_int__INTC_PRIOR_NUM 7
#define USBUART_1_arb_int__INTC_PRIOR_REG CYREG_NVIC_PRI_22
#define USBUART_1_arb_int__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_arb_int__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBUART_1_ord_int */
#define USBUART_1_ord_int__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_ord_int__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_ord_int__INTC_MASK 0x2000000u
#define USBUART_1_ord_int__INTC_NUMBER 25
#define USBUART_1_ord_int__INTC_PRIOR_NUM 7
#define USBUART_1_ord_int__INTC_PRIOR_REG CYREG_NVIC_PRI_25
#define USBUART_1_ord_int__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_ord_int__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBUART_1_sof_int */
#define USBUART_1_sof_int__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_sof_int__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_sof_int__INTC_MASK 0x40000000u
#define USBUART_1_sof_int__INTC_NUMBER 30
#define USBUART_1_sof_int__INTC_PRIOR_NUM 7
#define USBUART_1_sof_int__INTC_PRIOR_REG CYREG_NVIC_PRI_30
#define USBUART_1_sof_int__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_sof_int__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* WaveDAC8_1_DacClk */
#define WaveDAC8_1_DacClk__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define WaveDAC8_1_DacClk__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define WaveDAC8_1_DacClk__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define WaveDAC8_1_DacClk__CFG2_SRC_SEL_MASK 0x07u
#define WaveDAC8_1_DacClk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define WaveDAC8_1_DacClk__PM_ACT_MSK 0x02u
#define WaveDAC8_1_DacClk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define WaveDAC8_1_DacClk__PM_STBY_MSK 0x02u

/* VDAC_REF_viDAC8 */
#define VDAC_REF_viDAC8__CR0 CYREG_DAC2_CR0
#define VDAC_REF_viDAC8__CR1 CYREG_DAC2_CR1
#define VDAC_REF_viDAC8__D CYREG_DAC2_D
#define VDAC_REF_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC_REF_viDAC8__PM_ACT_MSK 0x04u
#define VDAC_REF_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC_REF_viDAC8__PM_STBY_MSK 0x04u
#define VDAC_REF_viDAC8__STROBE CYREG_DAC2_STROBE
#define VDAC_REF_viDAC8__SW0 CYREG_DAC2_SW0
#define VDAC_REF_viDAC8__SW2 CYREG_DAC2_SW2
#define VDAC_REF_viDAC8__SW3 CYREG_DAC2_SW3
#define VDAC_REF_viDAC8__SW4 CYREG_DAC2_SW4
#define VDAC_REF_viDAC8__TR CYREG_DAC2_TR
#define VDAC_REF_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC2_M1
#define VDAC_REF_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC2_M2
#define VDAC_REF_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC2_M3
#define VDAC_REF_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC2_M4
#define VDAC_REF_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC2_M5
#define VDAC_REF_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC2_M6
#define VDAC_REF_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC2_M7
#define VDAC_REF_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC2_M8
#define VDAC_REF_viDAC8__TRIM__TR CYREG_FLSHID_MFG_CFG_DAC2_TR
#define VDAC_REF_viDAC8__TST CYREG_DAC2_TST

/* ADC_Ext_CP_Clk */
#define ADC_Ext_CP_Clk__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ADC_Ext_CP_Clk__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ADC_Ext_CP_Clk__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ADC_Ext_CP_Clk__CFG2_SRC_SEL_MASK 0x07u
#define ADC_Ext_CP_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_Ext_CP_Clk__PM_ACT_MSK 0x01u
#define ADC_Ext_CP_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_Ext_CP_Clk__PM_STBY_MSK 0x01u

/* USBUART_1_ep_0 */
#define USBUART_1_ep_0__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_ep_0__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_ep_0__INTC_MASK 0x10000000u
#define USBUART_1_ep_0__INTC_NUMBER 28
#define USBUART_1_ep_0__INTC_PRIOR_NUM 7
#define USBUART_1_ep_0__INTC_PRIOR_REG CYREG_NVIC_PRI_28
#define USBUART_1_ep_0__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_ep_0__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBUART_1_ep_1 */
#define USBUART_1_ep_1__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_ep_1__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_ep_1__INTC_MASK 0x8000000u
#define USBUART_1_ep_1__INTC_NUMBER 27
#define USBUART_1_ep_1__INTC_PRIOR_NUM 7
#define USBUART_1_ep_1__INTC_PRIOR_REG CYREG_NVIC_PRI_27
#define USBUART_1_ep_1__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_ep_1__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBUART_1_ep_2 */
#define USBUART_1_ep_2__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_ep_2__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_ep_2__INTC_MASK 0x80000000u
#define USBUART_1_ep_2__INTC_NUMBER 31
#define USBUART_1_ep_2__INTC_PRIOR_NUM 7
#define USBUART_1_ep_2__INTC_PRIOR_REG CYREG_NVIC_PRI_31
#define USBUART_1_ep_2__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_ep_2__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBUART_1_ep_3 */
#define USBUART_1_ep_3__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_ep_3__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_ep_3__INTC_MASK 0x04u
#define USBUART_1_ep_3__INTC_NUMBER 2
#define USBUART_1_ep_3__INTC_PRIOR_NUM 7
#define USBUART_1_ep_3__INTC_PRIOR_REG CYREG_NVIC_PRI_2
#define USBUART_1_ep_3__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_ep_3__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBUART_1_ep_4 */
#define USBUART_1_ep_4__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_ep_4__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_ep_4__INTC_MASK 0x200000u
#define USBUART_1_ep_4__INTC_NUMBER 21
#define USBUART_1_ep_4__INTC_PRIOR_NUM 7
#define USBUART_1_ep_4__INTC_PRIOR_REG CYREG_NVIC_PRI_21
#define USBUART_1_ep_4__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_ep_4__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBUART_1_ep_5 */
#define USBUART_1_ep_5__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_ep_5__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_ep_5__INTC_MASK 0x02u
#define USBUART_1_ep_5__INTC_NUMBER 1
#define USBUART_1_ep_5__INTC_PRIOR_NUM 7
#define USBUART_1_ep_5__INTC_PRIOR_REG CYREG_NVIC_PRI_1
#define USBUART_1_ep_5__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_ep_5__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBUART_1_ep_6 */
#define USBUART_1_ep_6__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_ep_6__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_ep_6__INTC_MASK 0x01u
#define USBUART_1_ep_6__INTC_NUMBER 0
#define USBUART_1_ep_6__INTC_PRIOR_NUM 7
#define USBUART_1_ep_6__INTC_PRIOR_REG CYREG_NVIC_PRI_0
#define USBUART_1_ep_6__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_ep_6__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBUART_1_ep_7 */
#define USBUART_1_ep_7__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_ep_7__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_ep_7__INTC_MASK 0x800000u
#define USBUART_1_ep_7__INTC_NUMBER 23
#define USBUART_1_ep_7__INTC_PRIOR_NUM 7
#define USBUART_1_ep_7__INTC_PRIOR_REG CYREG_NVIC_PRI_23
#define USBUART_1_ep_7__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_ep_7__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USBUART_1_ep_8 */
#define USBUART_1_ep_8__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USBUART_1_ep_8__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USBUART_1_ep_8__INTC_MASK 0x1000000u
#define USBUART_1_ep_8__INTC_NUMBER 24
#define USBUART_1_ep_8__INTC_PRIOR_NUM 7
#define USBUART_1_ep_8__INTC_PRIOR_REG CYREG_NVIC_PRI_24
#define USBUART_1_ep_8__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USBUART_1_ep_8__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* LP_Filter_DFB */
#define LP_Filter_DFB__ACU_SRAM_DATA CYREG_DFB0_ACU_SRAM_DATA_MBASE
#define LP_Filter_DFB__COHER CYREG_DFB0_COHER
#define LP_Filter_DFB__CR CYREG_DFB0_CR
#define LP_Filter_DFB__CSA_SRAM_DATA CYREG_DFB0_CSA_SRAM_DATA_MBASE
#define LP_Filter_DFB__CSB_SRAM_DATA CYREG_DFB0_CSB_SRAM_DATA_MBASE
#define LP_Filter_DFB__DALIGN CYREG_DFB0_DALIGN
#define LP_Filter_DFB__DMA_CTRL CYREG_DFB0_DMA_CTRL
#define LP_Filter_DFB__DPA_SRAM_DATA CYREG_DFB0_DPA_SRAM_DATA_MBASE
#define LP_Filter_DFB__DPB_SRAM_DATA CYREG_DFB0_DPB_SRAM_DATA_MBASE
#define LP_Filter_DFB__DSI_CTRL CYREG_DFB0_DSI_CTRL
#define LP_Filter_DFB__FSM_SRAM_DATA CYREG_DFB0_FSM_SRAM_DATA_MBASE
#define LP_Filter_DFB__HOLDA CYREG_DFB0_HOLDA
#define LP_Filter_DFB__HOLDAH CYREG_DFB0_HOLDAH
#define LP_Filter_DFB__HOLDAM CYREG_DFB0_HOLDAM
#define LP_Filter_DFB__HOLDAS CYREG_DFB0_HOLDAS
#define LP_Filter_DFB__HOLDB CYREG_DFB0_HOLDB
#define LP_Filter_DFB__HOLDBH CYREG_DFB0_HOLDBH
#define LP_Filter_DFB__HOLDBM CYREG_DFB0_HOLDBM
#define LP_Filter_DFB__HOLDBS CYREG_DFB0_HOLDBS
#define LP_Filter_DFB__INT_CTRL CYREG_DFB0_INT_CTRL
#define LP_Filter_DFB__PM_ACT_CFG CYREG_PM_ACT_CFG6
#define LP_Filter_DFB__PM_ACT_MSK 0x10u
#define LP_Filter_DFB__PM_STBY_CFG CYREG_PM_STBY_CFG6
#define LP_Filter_DFB__PM_STBY_MSK 0x10u
#define LP_Filter_DFB__RAM_DIR CYREG_DFB0_RAM_DIR
#define LP_Filter_DFB__RAM_EN CYREG_DFB0_RAM_EN
#define LP_Filter_DFB__SEMA CYREG_DFB0_SEMA
#define LP_Filter_DFB__SR CYREG_DFB0_SR
#define LP_Filter_DFB__STAGEA CYREG_DFB0_STAGEA
#define LP_Filter_DFB__STAGEAH CYREG_DFB0_STAGEAH
#define LP_Filter_DFB__STAGEAM CYREG_DFB0_STAGEAM
#define LP_Filter_DFB__STAGEB CYREG_DFB0_STAGEB
#define LP_Filter_DFB__STAGEBH CYREG_DFB0_STAGEBH
#define LP_Filter_DFB__STAGEBM CYREG_DFB0_STAGEBM

/* USBUART_1_USB */
#define USBUART_1_USB__ARB_CFG CYREG_USB_ARB_CFG
#define USBUART_1_USB__ARB_EP1_CFG CYREG_USB_ARB_EP1_CFG
#define USBUART_1_USB__ARB_EP1_INT_EN CYREG_USB_ARB_EP1_INT_EN
#define USBUART_1_USB__ARB_EP1_SR CYREG_USB_ARB_EP1_SR
#define USBUART_1_USB__ARB_EP2_CFG CYREG_USB_ARB_EP2_CFG
#define USBUART_1_USB__ARB_EP2_INT_EN CYREG_USB_ARB_EP2_INT_EN
#define USBUART_1_USB__ARB_EP2_SR CYREG_USB_ARB_EP2_SR
#define USBUART_1_USB__ARB_EP3_CFG CYREG_USB_ARB_EP3_CFG
#define USBUART_1_USB__ARB_EP3_INT_EN CYREG_USB_ARB_EP3_INT_EN
#define USBUART_1_USB__ARB_EP3_SR CYREG_USB_ARB_EP3_SR
#define USBUART_1_USB__ARB_EP4_CFG CYREG_USB_ARB_EP4_CFG
#define USBUART_1_USB__ARB_EP4_INT_EN CYREG_USB_ARB_EP4_INT_EN
#define USBUART_1_USB__ARB_EP4_SR CYREG_USB_ARB_EP4_SR
#define USBUART_1_USB__ARB_EP5_CFG CYREG_USB_ARB_EP5_CFG
#define USBUART_1_USB__ARB_EP5_INT_EN CYREG_USB_ARB_EP5_INT_EN
#define USBUART_1_USB__ARB_EP5_SR CYREG_USB_ARB_EP5_SR
#define USBUART_1_USB__ARB_EP6_CFG CYREG_USB_ARB_EP6_CFG
#define USBUART_1_USB__ARB_EP6_INT_EN CYREG_USB_ARB_EP6_INT_EN
#define USBUART_1_USB__ARB_EP6_SR CYREG_USB_ARB_EP6_SR
#define USBUART_1_USB__ARB_EP7_CFG CYREG_USB_ARB_EP7_CFG
#define USBUART_1_USB__ARB_EP7_INT_EN CYREG_USB_ARB_EP7_INT_EN
#define USBUART_1_USB__ARB_EP7_SR CYREG_USB_ARB_EP7_SR
#define USBUART_1_USB__ARB_EP8_CFG CYREG_USB_ARB_EP8_CFG
#define USBUART_1_USB__ARB_EP8_INT_EN CYREG_USB_ARB_EP8_INT_EN
#define USBUART_1_USB__ARB_EP8_SR CYREG_USB_ARB_EP8_SR
#define USBUART_1_USB__ARB_INT_EN CYREG_USB_ARB_INT_EN
#define USBUART_1_USB__ARB_INT_SR CYREG_USB_ARB_INT_SR
#define USBUART_1_USB__ARB_RW1_DR CYREG_USB_ARB_RW1_DR
#define USBUART_1_USB__ARB_RW1_RA CYREG_USB_ARB_RW1_RA
#define USBUART_1_USB__ARB_RW1_RA_MSB CYREG_USB_ARB_RW1_RA_MSB
#define USBUART_1_USB__ARB_RW1_WA CYREG_USB_ARB_RW1_WA
#define USBUART_1_USB__ARB_RW1_WA_MSB CYREG_USB_ARB_RW1_WA_MSB
#define USBUART_1_USB__ARB_RW2_DR CYREG_USB_ARB_RW2_DR
#define USBUART_1_USB__ARB_RW2_RA CYREG_USB_ARB_RW2_RA
#define USBUART_1_USB__ARB_RW2_RA_MSB CYREG_USB_ARB_RW2_RA_MSB
#define USBUART_1_USB__ARB_RW2_WA CYREG_USB_ARB_RW2_WA
#define USBUART_1_USB__ARB_RW2_WA_MSB CYREG_USB_ARB_RW2_WA_MSB
#define USBUART_1_USB__ARB_RW3_DR CYREG_USB_ARB_RW3_DR
#define USBUART_1_USB__ARB_RW3_RA CYREG_USB_ARB_RW3_RA
#define USBUART_1_USB__ARB_RW3_RA_MSB CYREG_USB_ARB_RW3_RA_MSB
#define USBUART_1_USB__ARB_RW3_WA CYREG_USB_ARB_RW3_WA
#define USBUART_1_USB__ARB_RW3_WA_MSB CYREG_USB_ARB_RW3_WA_MSB
#define USBUART_1_USB__ARB_RW4_DR CYREG_USB_ARB_RW4_DR
#define USBUART_1_USB__ARB_RW4_RA CYREG_USB_ARB_RW4_RA
#define USBUART_1_USB__ARB_RW4_RA_MSB CYREG_USB_ARB_RW4_RA_MSB
#define USBUART_1_USB__ARB_RW4_WA CYREG_USB_ARB_RW4_WA
#define USBUART_1_USB__ARB_RW4_WA_MSB CYREG_USB_ARB_RW4_WA_MSB
#define USBUART_1_USB__ARB_RW5_DR CYREG_USB_ARB_RW5_DR
#define USBUART_1_USB__ARB_RW5_RA CYREG_USB_ARB_RW5_RA
#define USBUART_1_USB__ARB_RW5_RA_MSB CYREG_USB_ARB_RW5_RA_MSB
#define USBUART_1_USB__ARB_RW5_WA CYREG_USB_ARB_RW5_WA
#define USBUART_1_USB__ARB_RW5_WA_MSB CYREG_USB_ARB_RW5_WA_MSB
#define USBUART_1_USB__ARB_RW6_DR CYREG_USB_ARB_RW6_DR
#define USBUART_1_USB__ARB_RW6_RA CYREG_USB_ARB_RW6_RA
#define USBUART_1_USB__ARB_RW6_RA_MSB CYREG_USB_ARB_RW6_RA_MSB
#define USBUART_1_USB__ARB_RW6_WA CYREG_USB_ARB_RW6_WA
#define USBUART_1_USB__ARB_RW6_WA_MSB CYREG_USB_ARB_RW6_WA_MSB
#define USBUART_1_USB__ARB_RW7_DR CYREG_USB_ARB_RW7_DR
#define USBUART_1_USB__ARB_RW7_RA CYREG_USB_ARB_RW7_RA
#define USBUART_1_USB__ARB_RW7_RA_MSB CYREG_USB_ARB_RW7_RA_MSB
#define USBUART_1_USB__ARB_RW7_WA CYREG_USB_ARB_RW7_WA
#define USBUART_1_USB__ARB_RW7_WA_MSB CYREG_USB_ARB_RW7_WA_MSB
#define USBUART_1_USB__ARB_RW8_DR CYREG_USB_ARB_RW8_DR
#define USBUART_1_USB__ARB_RW8_RA CYREG_USB_ARB_RW8_RA
#define USBUART_1_USB__ARB_RW8_RA_MSB CYREG_USB_ARB_RW8_RA_MSB
#define USBUART_1_USB__ARB_RW8_WA CYREG_USB_ARB_RW8_WA
#define USBUART_1_USB__ARB_RW8_WA_MSB CYREG_USB_ARB_RW8_WA_MSB
#define USBUART_1_USB__BUF_SIZE CYREG_USB_BUF_SIZE
#define USBUART_1_USB__BUS_RST_CNT CYREG_USB_BUS_RST_CNT
#define USBUART_1_USB__CR0 CYREG_USB_CR0
#define USBUART_1_USB__CR1 CYREG_USB_CR1
#define USBUART_1_USB__CWA CYREG_USB_CWA
#define USBUART_1_USB__CWA_MSB CYREG_USB_CWA_MSB
#define USBUART_1_USB__DMA_THRES CYREG_USB_DMA_THRES
#define USBUART_1_USB__DMA_THRES_MSB CYREG_USB_DMA_THRES_MSB
#define USBUART_1_USB__EP_ACTIVE CYREG_USB_EP_ACTIVE
#define USBUART_1_USB__EP_TYPE CYREG_USB_EP_TYPE
#define USBUART_1_USB__EP0_CNT CYREG_USB_EP0_CNT
#define USBUART_1_USB__EP0_CR CYREG_USB_EP0_CR
#define USBUART_1_USB__EP0_DR0 CYREG_USB_EP0_DR0
#define USBUART_1_USB__EP0_DR1 CYREG_USB_EP0_DR1
#define USBUART_1_USB__EP0_DR2 CYREG_USB_EP0_DR2
#define USBUART_1_USB__EP0_DR3 CYREG_USB_EP0_DR3
#define USBUART_1_USB__EP0_DR4 CYREG_USB_EP0_DR4
#define USBUART_1_USB__EP0_DR5 CYREG_USB_EP0_DR5
#define USBUART_1_USB__EP0_DR6 CYREG_USB_EP0_DR6
#define USBUART_1_USB__EP0_DR7 CYREG_USB_EP0_DR7
#define USBUART_1_USB__MEM_DATA CYREG_USB_MEM_DATA_MBASE
#define USBUART_1_USB__OSCLK_DR0 CYREG_USB_OSCLK_DR0
#define USBUART_1_USB__OSCLK_DR1 CYREG_USB_OSCLK_DR1
#define USBUART_1_USB__PM_ACT_CFG CYREG_PM_ACT_CFG5
#define USBUART_1_USB__PM_ACT_MSK 0x01u
#define USBUART_1_USB__PM_STBY_CFG CYREG_PM_STBY_CFG5
#define USBUART_1_USB__PM_STBY_MSK 0x01u
#define USBUART_1_USB__SIE_EP_INT_EN CYREG_USB_SIE_EP_INT_EN
#define USBUART_1_USB__SIE_EP_INT_SR CYREG_USB_SIE_EP_INT_SR
#define USBUART_1_USB__SIE_EP1_CNT0 CYREG_USB_SIE_EP1_CNT0
#define USBUART_1_USB__SIE_EP1_CNT1 CYREG_USB_SIE_EP1_CNT1
#define USBUART_1_USB__SIE_EP1_CR0 CYREG_USB_SIE_EP1_CR0
#define USBUART_1_USB__SIE_EP2_CNT0 CYREG_USB_SIE_EP2_CNT0
#define USBUART_1_USB__SIE_EP2_CNT1 CYREG_USB_SIE_EP2_CNT1
#define USBUART_1_USB__SIE_EP2_CR0 CYREG_USB_SIE_EP2_CR0
#define USBUART_1_USB__SIE_EP3_CNT0 CYREG_USB_SIE_EP3_CNT0
#define USBUART_1_USB__SIE_EP3_CNT1 CYREG_USB_SIE_EP3_CNT1
#define USBUART_1_USB__SIE_EP3_CR0 CYREG_USB_SIE_EP3_CR0
#define USBUART_1_USB__SIE_EP4_CNT0 CYREG_USB_SIE_EP4_CNT0
#define USBUART_1_USB__SIE_EP4_CNT1 CYREG_USB_SIE_EP4_CNT1
#define USBUART_1_USB__SIE_EP4_CR0 CYREG_USB_SIE_EP4_CR0
#define USBUART_1_USB__SIE_EP5_CNT0 CYREG_USB_SIE_EP5_CNT0
#define USBUART_1_USB__SIE_EP5_CNT1 CYREG_USB_SIE_EP5_CNT1
#define USBUART_1_USB__SIE_EP5_CR0 CYREG_USB_SIE_EP5_CR0
#define USBUART_1_USB__SIE_EP6_CNT0 CYREG_USB_SIE_EP6_CNT0
#define USBUART_1_USB__SIE_EP6_CNT1 CYREG_USB_SIE_EP6_CNT1
#define USBUART_1_USB__SIE_EP6_CR0 CYREG_USB_SIE_EP6_CR0
#define USBUART_1_USB__SIE_EP7_CNT0 CYREG_USB_SIE_EP7_CNT0
#define USBUART_1_USB__SIE_EP7_CNT1 CYREG_USB_SIE_EP7_CNT1
#define USBUART_1_USB__SIE_EP7_CR0 CYREG_USB_SIE_EP7_CR0
#define USBUART_1_USB__SIE_EP8_CNT0 CYREG_USB_SIE_EP8_CNT0
#define USBUART_1_USB__SIE_EP8_CNT1 CYREG_USB_SIE_EP8_CNT1
#define USBUART_1_USB__SIE_EP8_CR0 CYREG_USB_SIE_EP8_CR0
#define USBUART_1_USB__SOF0 CYREG_USB_SOF0
#define USBUART_1_USB__SOF1 CYREG_USB_SOF1
#define USBUART_1_USB__USB_CLK_EN CYREG_USB_USB_CLK_EN
#define USBUART_1_USB__USBIO_CR0 CYREG_USB_USBIO_CR0
#define USBUART_1_USB__USBIO_CR1 CYREG_USB_USBIO_CR1
#define USBUART_1_USB__USBIO_CR2 CYREG_USB_USBIO_CR2

/* USBUART_1_dm */
#define USBUART_1_dm__0__MASK 0x80u
#define USBUART_1_dm__0__PC CYREG_PRT15_PC7
#define USBUART_1_dm__0__PORT 15
#define USBUART_1_dm__0__SHIFT 7
#define USBUART_1_dm__AG CYREG_PRT15_AG
#define USBUART_1_dm__AMUX CYREG_PRT15_AMUX
#define USBUART_1_dm__BIE CYREG_PRT15_BIE
#define USBUART_1_dm__BIT_MASK CYREG_PRT15_BIT_MASK
#define USBUART_1_dm__BYP CYREG_PRT15_BYP
#define USBUART_1_dm__CTL CYREG_PRT15_CTL
#define USBUART_1_dm__dm__MASK 0x80u
#define USBUART_1_dm__dm__PC CYREG_PRT15_PC7
#define USBUART_1_dm__dm__PORT 15
#define USBUART_1_dm__dm__SHIFT 7
#define USBUART_1_dm__DM0 CYREG_PRT15_DM0
#define USBUART_1_dm__DM1 CYREG_PRT15_DM1
#define USBUART_1_dm__DM2 CYREG_PRT15_DM2
#define USBUART_1_dm__DR CYREG_PRT15_DR
#define USBUART_1_dm__INP_DIS CYREG_PRT15_INP_DIS
#define USBUART_1_dm__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define USBUART_1_dm__LCD_EN CYREG_PRT15_LCD_EN
#define USBUART_1_dm__PORT 15
#define USBUART_1_dm__PRT CYREG_PRT15_PRT
#define USBUART_1_dm__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define USBUART_1_dm__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define USBUART_1_dm__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define USBUART_1_dm__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define USBUART_1_dm__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define USBUART_1_dm__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define USBUART_1_dm__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define USBUART_1_dm__PS CYREG_PRT15_PS
#define USBUART_1_dm__SLW CYREG_PRT15_SLW

/* USBUART_1_dp */
#define USBUART_1_dp__0__MASK 0x40u
#define USBUART_1_dp__0__PC CYREG_PRT15_PC6
#define USBUART_1_dp__0__PORT 15
#define USBUART_1_dp__0__SHIFT 6
#define USBUART_1_dp__AG CYREG_PRT15_AG
#define USBUART_1_dp__AMUX CYREG_PRT15_AMUX
#define USBUART_1_dp__BIE CYREG_PRT15_BIE
#define USBUART_1_dp__BIT_MASK CYREG_PRT15_BIT_MASK
#define USBUART_1_dp__BYP CYREG_PRT15_BYP
#define USBUART_1_dp__CTL CYREG_PRT15_CTL
#define USBUART_1_dp__DM0 CYREG_PRT15_DM0
#define USBUART_1_dp__DM1 CYREG_PRT15_DM1
#define USBUART_1_dp__DM2 CYREG_PRT15_DM2
#define USBUART_1_dp__dp__MASK 0x40u
#define USBUART_1_dp__dp__PC CYREG_PRT15_PC6
#define USBUART_1_dp__dp__PORT 15
#define USBUART_1_dp__dp__SHIFT 6
#define USBUART_1_dp__DR CYREG_PRT15_DR
#define USBUART_1_dp__INP_DIS CYREG_PRT15_INP_DIS
#define USBUART_1_dp__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define USBUART_1_dp__LCD_EN CYREG_PRT15_LCD_EN
#define USBUART_1_dp__PORT 15
#define USBUART_1_dp__PRT CYREG_PRT15_PRT
#define USBUART_1_dp__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define USBUART_1_dp__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define USBUART_1_dp__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define USBUART_1_dp__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define USBUART_1_dp__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define USBUART_1_dp__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define USBUART_1_dp__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define USBUART_1_dp__PS CYREG_PRT15_PS
#define USBUART_1_dp__SLW CYREG_PRT15_SLW

/* ADC_theACLK */
#define ADC_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define ADC_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define ADC_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define ADC_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define ADC_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_theACLK__PM_ACT_MSK 0x01u
#define ADC_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_theACLK__PM_STBY_MSK 0x01u

/* TEST_SIGNAL */
#define TEST_SIGNAL__0__MASK 0x80u
#define TEST_SIGNAL__0__PC CYREG_PRT6_PC7
#define TEST_SIGNAL__0__PORT 6
#define TEST_SIGNAL__0__SHIFT 7
#define TEST_SIGNAL__AG CYREG_PRT6_AG
#define TEST_SIGNAL__AMUX CYREG_PRT6_AMUX
#define TEST_SIGNAL__BIE CYREG_PRT6_BIE
#define TEST_SIGNAL__BIT_MASK CYREG_PRT6_BIT_MASK
#define TEST_SIGNAL__BYP CYREG_PRT6_BYP
#define TEST_SIGNAL__CTL CYREG_PRT6_CTL
#define TEST_SIGNAL__DM0 CYREG_PRT6_DM0
#define TEST_SIGNAL__DM1 CYREG_PRT6_DM1
#define TEST_SIGNAL__DM2 CYREG_PRT6_DM2
#define TEST_SIGNAL__DR CYREG_PRT6_DR
#define TEST_SIGNAL__INP_DIS CYREG_PRT6_INP_DIS
#define TEST_SIGNAL__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define TEST_SIGNAL__LCD_EN CYREG_PRT6_LCD_EN
#define TEST_SIGNAL__PORT 6
#define TEST_SIGNAL__PRT CYREG_PRT6_PRT
#define TEST_SIGNAL__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define TEST_SIGNAL__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define TEST_SIGNAL__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define TEST_SIGNAL__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define TEST_SIGNAL__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define TEST_SIGNAL__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define TEST_SIGNAL__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define TEST_SIGNAL__PS CYREG_PRT6_PS
#define TEST_SIGNAL__SLW CYREG_PRT6_SLW

/* ADC_DSM2 */
#define ADC_DSM2__BUF0 CYREG_DSM0_BUF0
#define ADC_DSM2__BUF1 CYREG_DSM0_BUF1
#define ADC_DSM2__BUF2 CYREG_DSM0_BUF2
#define ADC_DSM2__BUF3 CYREG_DSM0_BUF3
#define ADC_DSM2__CLK CYREG_DSM0_CLK
#define ADC_DSM2__CR0 CYREG_DSM0_CR0
#define ADC_DSM2__CR1 CYREG_DSM0_CR1
#define ADC_DSM2__CR10 CYREG_DSM0_CR10
#define ADC_DSM2__CR11 CYREG_DSM0_CR11
#define ADC_DSM2__CR12 CYREG_DSM0_CR12
#define ADC_DSM2__CR13 CYREG_DSM0_CR13
#define ADC_DSM2__CR14 CYREG_DSM0_CR14
#define ADC_DSM2__CR15 CYREG_DSM0_CR15
#define ADC_DSM2__CR16 CYREG_DSM0_CR16
#define ADC_DSM2__CR17 CYREG_DSM0_CR17
#define ADC_DSM2__CR2 CYREG_DSM0_CR2
#define ADC_DSM2__CR3 CYREG_DSM0_CR3
#define ADC_DSM2__CR4 CYREG_DSM0_CR4
#define ADC_DSM2__CR5 CYREG_DSM0_CR5
#define ADC_DSM2__CR6 CYREG_DSM0_CR6
#define ADC_DSM2__CR7 CYREG_DSM0_CR7
#define ADC_DSM2__CR8 CYREG_DSM0_CR8
#define ADC_DSM2__CR9 CYREG_DSM0_CR9
#define ADC_DSM2__DEM0 CYREG_DSM0_DEM0
#define ADC_DSM2__DEM1 CYREG_DSM0_DEM1
#define ADC_DSM2__MISC CYREG_DSM0_MISC
#define ADC_DSM2__OUT0 CYREG_DSM0_OUT0
#define ADC_DSM2__OUT1 CYREG_DSM0_OUT1
#define ADC_DSM2__REF0 CYREG_DSM0_REF0
#define ADC_DSM2__REF1 CYREG_DSM0_REF1
#define ADC_DSM2__REF2 CYREG_DSM0_REF2
#define ADC_DSM2__REF3 CYREG_DSM0_REF3
#define ADC_DSM2__RSVD1 CYREG_DSM0_RSVD1
#define ADC_DSM2__SW0 CYREG_DSM0_SW0
#define ADC_DSM2__SW2 CYREG_DSM0_SW2
#define ADC_DSM2__SW3 CYREG_DSM0_SW3
#define ADC_DSM2__SW4 CYREG_DSM0_SW4
#define ADC_DSM2__SW6 CYREG_DSM0_SW6
#define ADC_DSM2__TR0 CYREG_NPUMP_DSM_TR0
#define ADC_DSM2__TST0 CYREG_DSM0_TST0
#define ADC_DSM2__TST1 CYREG_DSM0_TST1

/* PGA_1_SC */
#define PGA_1_SC__BST CYREG_SC2_BST
#define PGA_1_SC__CLK CYREG_SC2_CLK
#define PGA_1_SC__CR0 CYREG_SC2_CR0
#define PGA_1_SC__CR1 CYREG_SC2_CR1
#define PGA_1_SC__CR2 CYREG_SC2_CR2
#define PGA_1_SC__MSK CYREG_SC_MSK
#define PGA_1_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define PGA_1_SC__PM_ACT_MSK 0x02u
#define PGA_1_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define PGA_1_SC__PM_STBY_MSK 0x02u
#define PGA_1_SC__SR CYREG_SC_SR
#define PGA_1_SC__SW0 CYREG_SC2_SW0
#define PGA_1_SC__SW10 CYREG_SC2_SW10
#define PGA_1_SC__SW2 CYREG_SC2_SW2
#define PGA_1_SC__SW3 CYREG_SC2_SW3
#define PGA_1_SC__SW4 CYREG_SC2_SW4
#define PGA_1_SC__SW6 CYREG_SC2_SW6
#define PGA_1_SC__SW7 CYREG_SC2_SW7
#define PGA_1_SC__SW8 CYREG_SC2_SW8

/* PGA_2_SC */
#define PGA_2_SC__BST CYREG_SC0_BST
#define PGA_2_SC__CLK CYREG_SC0_CLK
#define PGA_2_SC__CR0 CYREG_SC0_CR0
#define PGA_2_SC__CR1 CYREG_SC0_CR1
#define PGA_2_SC__CR2 CYREG_SC0_CR2
#define PGA_2_SC__MSK CYREG_SC_MSK
#define PGA_2_SC__PM_ACT_CFG CYREG_PM_ACT_CFG9
#define PGA_2_SC__PM_ACT_MSK 0x01u
#define PGA_2_SC__PM_STBY_CFG CYREG_PM_STBY_CFG9
#define PGA_2_SC__PM_STBY_MSK 0x01u
#define PGA_2_SC__SR CYREG_SC_SR
#define PGA_2_SC__SW0 CYREG_SC0_SW0
#define PGA_2_SC__SW10 CYREG_SC0_SW10
#define PGA_2_SC__SW2 CYREG_SC0_SW2
#define PGA_2_SC__SW3 CYREG_SC0_SW3
#define PGA_2_SC__SW4 CYREG_SC0_SW4
#define PGA_2_SC__SW6 CYREG_SC0_SW6
#define PGA_2_SC__SW7 CYREG_SC0_SW7
#define PGA_2_SC__SW8 CYREG_SC0_SW8

/* ADC_DEC */
#define ADC_DEC__COHER CYREG_DEC_COHER
#define ADC_DEC__CR CYREG_DEC_CR
#define ADC_DEC__DR1 CYREG_DEC_DR1
#define ADC_DEC__DR2 CYREG_DEC_DR2
#define ADC_DEC__DR2H CYREG_DEC_DR2H
#define ADC_DEC__GCOR CYREG_DEC_GCOR
#define ADC_DEC__GCORH CYREG_DEC_GCORH
#define ADC_DEC__GVAL CYREG_DEC_GVAL
#define ADC_DEC__OCOR CYREG_DEC_OCOR
#define ADC_DEC__OCORH CYREG_DEC_OCORH
#define ADC_DEC__OCORM CYREG_DEC_OCORM
#define ADC_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define ADC_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define ADC_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define ADC_DEC__OUTSAMPS CYREG_DEC_OUTSAMPS
#define ADC_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define ADC_DEC__PM_ACT_MSK 0x01u
#define ADC_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define ADC_DEC__PM_STBY_MSK 0x01u
#define ADC_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define ADC_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define ADC_DEC__SR CYREG_DEC_SR
#define ADC_DEC__TRIM__16H CYREG_FLSHID_CUST_TABLES_DEC_16H
#define ADC_DEC__TRIM__16L CYREG_FLSHID_CUST_TABLES_DEC_16L
#define ADC_DEC__TRIM__1H CYREG_FLSHID_CUST_TABLES_DEC_1H
#define ADC_DEC__TRIM__1L CYREG_FLSHID_CUST_TABLES_DEC_1L
#define ADC_DEC__TRIM__4H CYREG_FLSHID_CUST_TABLES_DEC_4H
#define ADC_DEC__TRIM__4L CYREG_FLSHID_CUST_TABLES_DEC_4L
#define ADC_DEC__TRIM__P25H CYREG_FLSHID_CUST_TABLES_DEC_P25H
#define ADC_DEC__TRIM__P25L CYREG_FLSHID_CUST_TABLES_DEC_P25L

/* ADC_IRQ */
#define ADC_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_IRQ__INTC_MASK 0x20000000u
#define ADC_IRQ__INTC_NUMBER 29
#define ADC_IRQ__INTC_PRIOR_NUM 7
#define ADC_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_29
#define ADC_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Clock_1 */
#define Clock_1__CFG0 CYREG_CLKDIST_ACFG1_CFG0
#define Clock_1__CFG1 CYREG_CLKDIST_ACFG1_CFG1
#define Clock_1__CFG2 CYREG_CLKDIST_ACFG1_CFG2
#define Clock_1__CFG2_SRC_SEL_MASK 0x07u
#define Clock_1__CFG3 CYREG_CLKDIST_ACFG1_CFG3
#define Clock_1__CFG3_PHASE_DLY_MASK 0x0Fu
#define Clock_1__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define Clock_1__PM_ACT_MSK 0x02u
#define Clock_1__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define Clock_1__PM_STBY_MSK 0x02u

/* Pin1_7 */
#define Pin1_7__0__MASK 0x80u
#define Pin1_7__0__PC CYREG_PRT2_PC7
#define Pin1_7__0__PORT 2
#define Pin1_7__0__SHIFT 7
#define Pin1_7__AG CYREG_PRT2_AG
#define Pin1_7__AMUX CYREG_PRT2_AMUX
#define Pin1_7__BIE CYREG_PRT2_BIE
#define Pin1_7__BIT_MASK CYREG_PRT2_BIT_MASK
#define Pin1_7__BYP CYREG_PRT2_BYP
#define Pin1_7__CTL CYREG_PRT2_CTL
#define Pin1_7__DM0 CYREG_PRT2_DM0
#define Pin1_7__DM1 CYREG_PRT2_DM1
#define Pin1_7__DM2 CYREG_PRT2_DM2
#define Pin1_7__DR CYREG_PRT2_DR
#define Pin1_7__FILTR__MASK 0x80u
#define Pin1_7__FILTR__PC CYREG_PRT2_PC7
#define Pin1_7__FILTR__PORT 2
#define Pin1_7__FILTR__SHIFT 7
#define Pin1_7__INP_DIS CYREG_PRT2_INP_DIS
#define Pin1_7__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define Pin1_7__LCD_EN CYREG_PRT2_LCD_EN
#define Pin1_7__MASK 0x80u
#define Pin1_7__PORT 2
#define Pin1_7__PRT CYREG_PRT2_PRT
#define Pin1_7__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define Pin1_7__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define Pin1_7__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define Pin1_7__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define Pin1_7__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define Pin1_7__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define Pin1_7__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define Pin1_7__PS CYREG_PRT2_PS
#define Pin1_7__SHIFT 7
#define Pin1_7__SLW CYREG_PRT2_SLW

/* Pin_1 */
#define Pin_1__0__MASK 0x08u
#define Pin_1__0__PC CYREG_PRT15_PC3
#define Pin_1__0__PORT 15
#define Pin_1__0__SHIFT 3
#define Pin_1__AG CYREG_PRT15_AG
#define Pin_1__AMUX CYREG_PRT15_AMUX
#define Pin_1__BIE CYREG_PRT15_BIE
#define Pin_1__BIT_MASK CYREG_PRT15_BIT_MASK
#define Pin_1__BYP CYREG_PRT15_BYP
#define Pin_1__CTL CYREG_PRT15_CTL
#define Pin_1__DM0 CYREG_PRT15_DM0
#define Pin_1__DM1 CYREG_PRT15_DM1
#define Pin_1__DM2 CYREG_PRT15_DM2
#define Pin_1__DR CYREG_PRT15_DR
#define Pin_1__INP_DIS CYREG_PRT15_INP_DIS
#define Pin_1__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define Pin_1__LCD_EN CYREG_PRT15_LCD_EN
#define Pin_1__MASK 0x08u
#define Pin_1__PORT 15
#define Pin_1__PRT CYREG_PRT15_PRT
#define Pin_1__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define Pin_1__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define Pin_1__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define Pin_1__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define Pin_1__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define Pin_1__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define Pin_1__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define Pin_1__PS CYREG_PRT15_PS
#define Pin_1__SHIFT 3
#define Pin_1__SLW CYREG_PRT15_SLW

/* In_L */
#define In_L__0__MASK 0x08u
#define In_L__0__PC CYREG_PRT0_PC3
#define In_L__0__PORT 0
#define In_L__0__SHIFT 3
#define In_L__AG CYREG_PRT0_AG
#define In_L__AMUX CYREG_PRT0_AMUX
#define In_L__BIE CYREG_PRT0_BIE
#define In_L__BIT_MASK CYREG_PRT0_BIT_MASK
#define In_L__BYP CYREG_PRT0_BYP
#define In_L__CTL CYREG_PRT0_CTL
#define In_L__DM0 CYREG_PRT0_DM0
#define In_L__DM1 CYREG_PRT0_DM1
#define In_L__DM2 CYREG_PRT0_DM2
#define In_L__DR CYREG_PRT0_DR
#define In_L__INP_DIS CYREG_PRT0_INP_DIS
#define In_L__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define In_L__LCD_EN CYREG_PRT0_LCD_EN
#define In_L__PORT 0
#define In_L__PRT CYREG_PRT0_PRT
#define In_L__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define In_L__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define In_L__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define In_L__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define In_L__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define In_L__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define In_L__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define In_L__PS CYREG_PRT0_PS
#define In_L__SLW CYREG_PRT0_SLW

/* In_R */
#define In_R__0__MASK 0x80u
#define In_R__0__PC CYREG_PRT0_PC7
#define In_R__0__PORT 0
#define In_R__0__SHIFT 7
#define In_R__AG CYREG_PRT0_AG
#define In_R__AMUX CYREG_PRT0_AMUX
#define In_R__BIE CYREG_PRT0_BIE
#define In_R__BIT_MASK CYREG_PRT0_BIT_MASK
#define In_R__BYP CYREG_PRT0_BYP
#define In_R__CTL CYREG_PRT0_CTL
#define In_R__DM0 CYREG_PRT0_DM0
#define In_R__DM1 CYREG_PRT0_DM1
#define In_R__DM2 CYREG_PRT0_DM2
#define In_R__DR CYREG_PRT0_DR
#define In_R__INP_DIS CYREG_PRT0_INP_DIS
#define In_R__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define In_R__LCD_EN CYREG_PRT0_LCD_EN
#define In_R__PORT 0
#define In_R__PRT CYREG_PRT0_PRT
#define In_R__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define In_R__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define In_R__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define In_R__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define In_R__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define In_R__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define In_R__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define In_R__PS CYREG_PRT0_PS
#define In_R__SLW CYREG_PRT0_SLW

/* REF */
#define REF__0__MASK 0x20u
#define REF__0__PC CYREG_PRT0_PC5
#define REF__0__PORT 0
#define REF__0__SHIFT 5
#define REF__AG CYREG_PRT0_AG
#define REF__AMUX CYREG_PRT0_AMUX
#define REF__BIE CYREG_PRT0_BIE
#define REF__BIT_MASK CYREG_PRT0_BIT_MASK
#define REF__BYP CYREG_PRT0_BYP
#define REF__CTL CYREG_PRT0_CTL
#define REF__DM0 CYREG_PRT0_DM0
#define REF__DM1 CYREG_PRT0_DM1
#define REF__DM2 CYREG_PRT0_DM2
#define REF__DR CYREG_PRT0_DR
#define REF__INP_DIS CYREG_PRT0_INP_DIS
#define REF__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define REF__LCD_EN CYREG_PRT0_LCD_EN
#define REF__PORT 0
#define REF__PRT CYREG_PRT0_PRT
#define REF__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define REF__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define REF__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define REF__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define REF__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define REF__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define REF__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define REF__PS CYREG_PRT0_PS
#define REF__SLW CYREG_PRT0_SLW

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_FAMILY_PSOC5 2
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define BCLK__BUS_CLK__HZ 48000000U
#define BCLK__BUS_CLK__KHZ 48000U
#define BCLK__BUS_CLK__MHZ 48U
#define CyBtldr_Custom_Interface 0
#define CYDEV_BOOTLOADER_CHECKSUM 0
#define CYDEV_BOOTLOADER_CHECKSUM_BASIC 0
#define CYDEV_BOOTLOADER_CHECKSUM_CRC 1
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 10
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x0E13C069
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5A
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_ES1
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5A_ES1
#define CYDEV_CONFIG_FORCE_ROUTE 0
#define CYDEV_CONFIG_UNUSED_IO 0
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 0
#define CYDEV_CONFIGURATION_IMOENABLED 0
#define CYDEV_CONFIGURATION_MODE 0
#define CYDEV_DATA_CACHE_ENABLED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DBG_DBE
#define CYDEV_DEBUGGING_DPS 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 4096
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_STACK_SIZE 16384
#define CYDEV_USB_CLK_OSC_LOCKING_ENABLED_AT_PWR_UP 
#define CYDEV_VDDA 5.5
#define CYDEV_VDDA_MV 5500
#define CYDEV_VDDD 5.5
#define CYDEV_VDDD_MV 5500
#define CYDEV_VDDIO0 5.5
#define CYDEV_VDDIO0_MV 5500
#define CYDEV_VDDIO1 5.5
#define CYDEV_VDDIO1_MV 5500
#define CYDEV_VDDIO2 5.5
#define CYDEV_VDDIO2_MV 5500
#define CYDEV_VDDIO3 5.5
#define CYDEV_VDDIO3_MV 5500
#define CYDEV_VIO0 5.5
#define CYDEV_VIO0_MV 5500
#define CYDEV_VIO1 5.5
#define CYDEV_VIO1_MV 5500
#define CYDEV_VIO2 5.5
#define CYDEV_VIO2_MV 5500
#define CYDEV_VIO3 5.5
#define CYDEV_VIO3_MV 5500
#define DMA_CHANNELS_USED__MASK0 0x00000090u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
